TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.TraceInfo Class Reference

This class represents the set of trace message types that will be output to a particular output destination (console or log file). More...

## Public Member Functions
override bool | Equals (System.Object o)
override int | GetHashCode ()
| TraceInfo ()
| Public constuctor that creates a TraveInfo with TRACE_DEFAULT set. More...
| TraceInfo (long setItems, long add, long remove)
| Public constructor used to create a new TraceInfo object. More...
void | AddTraceItems (long add)
| Add the specified trace items to the current list of add trace items. More...
void | RemoveTraceItems (long remove)
| Add the specified trace items to the current list of remove trace items. Any duplicate items will be ignored. More...
void | ClearSetTraceItems ()
| Clear the set of absolute trace items so that it is empty. More...
void | ClearAddTraceItems ()
| Clear the set of add trace items so that it is empty. More...
void | ClearRemoveTraceItems ()
| Clear the set of remove trace items so that it is empty. More...
void | ClearAllTraceItems ()
| Clear the set of absolute, add, and remove trace items so the object is essentially empty. More...
bool | hasItems (long traceItems)
| Determine if a set of trace items will be logged based on the setting in this TraceInfo. More...
override string | ToString ()
| Generate a string representation of this TraceInfo. More...

## Public Attributes
const long | TRACE_INFO = (0x1L << 4)
const long | TRACE_WARN = (0x1L << 5)
const long | TRACE_ACL = (0x1L << 6)
const long | TRACE_LIMITS = (0x1L << 7)
const long | TRACE_SSL = (0x1L << 8)
const long | TRACE_SSL_DEBUG = (0x1L << 9)
const long | TRACE_ROUTE = (0x1L << 10)
const long | TRACE_ROUTE_DEBUG = (0x1L << 11)
const long | TRACE_ADMIN = (0x1L << 12)
const long | TRACE_CONFIG = (0x1L << 13)
const long | TRACE_RV_ADV = (0x1L << 14)
const long | TRACE_CONNECT = (0x1L << 15)
const long | TRACE_CONNECT_ERROR = (0x1L << 16)
const long | TRACE_PRODCONS = (0x1L << 17)
const long | TRACE_DEST = (0x1L << 18)
const long | TRACE_TX = (0x1L << 19)
const long | TRACE_SS = (0x1L << 20)
const long | TRACE_MEMORY = (0x1L << 21)
const long | TRACE_MEMORY_DEBUG = (0x1L << 22)
const long | TRACE_LDAP_DEBUG = (0x1L << 24)
const long | TRACE_AUTH = (0x1L << 25)
const long | TRACE_MSG = (0x1L << 26)
const long | TRACE_FLOW = (0x1L << 27)
const long | TRACE_JVM = (0x1L << 28)
const long | TRACE_JAAS = (0x1L << 29)
const long | TRACE_MULTICAST = (0x1L << 30)
const long | TRACE_DBSTORE = (0x1L << 31)
const long | TRACE_JVMERR = (0x1L << 32)
const long | TRACE_MSTORE = (0x1L << 33)
const long | TRACE_LOADER = (0x1L << 34)
const long | TRACE_CONFIG_DETAIL = (0x1L << 35)
const long | TRACE_DEBUG = (0x1L << 63)

## Static Public Attributes
static readonly long | TRACE_ALL
static readonly long | TRACE_DEFAULT = (TRACE_INFO + TRACE_WARN + TRACE_ACL + TRACE_LIMITS + TRACE_CONNECT_ERROR + TRACE_ROUTE + TRACE_ADMIN + TRACE_CONFIG + TRACE_RV_ADV + TRACE_MSG)

## Properties
long | TraceItems`[set]`
| Set the absolute trace items for this TraceInfo. More...
long | TraceSetItems`[get]`
| Get the set of absolute trace items. More...
long | TraceAddItems`[get]`
| Get the set of add trace items. More...
long | TraceRemoveItems`[get]`
| Get the set of remove trace items. More...
long | AllTraceItems`[get]`
| Get the calculated set of trace items. More...

## Detailed Description

This class represents the set of trace message types that will be output to a particular output destination (console or log file).

The trace parameters consist of three sets of TRACE_* items that are evaluated as follows: 1) Absolute items (SetTraceItems) are the starting point for the set of trace items that will be logged. 2) Add items (AddTraceItems) are then added to the list of absolute items (duplicates are ignored). 3) Remove items (RemoveTraceItems) are then removed from the list above to get the final list of items.

SetTraceItems() always overwrites the list of absolute items. AddTraceItems() and RemoveTraceItems() append to their respective lists of trace items. To reset all or part of the trace parameters, use the Clear*() methods.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.TraceInfo.TraceInfo | ( |  | ) |
| inline

Public constuctor that creates a TraveInfo with TRACE_DEFAULT set.

This is the same as using the constructor TraceInfo(TRACE_DEFAULT,0,0);

TIBCO.EMS.ADMIN.TraceInfo.TraceInfo | ( | long | setItems,
|  | long | add,
|  | long | remove
| ) |  |
| inline

Public constructor used to create a new TraceInfo object.

The values passed to this constructor can be a single TRACE_* constant or a set of TRACE_* constants combined with the binary OR operator (|).

Parameters

  setItems | The set of absolute trace items for this TraceInfo.
  add | The set of add trace items for this TraceInfo.
  remove | The set of remove trace items for this TraceInfo.

## Member Function Documentation

void TIBCO.EMS.ADMIN.TraceInfo.AddTraceItems | ( | long | add | ) |
| inline

Add the specified trace items to the current list of add trace items.

Any duplicate items will be ignored. To reset the list of add trace items, call ClearAddTraceItems() first.

Parameters

  add | The set of trace items to append to the list of add trace items. Can be a single TRACE_* constant or a set of TRACE_* constants combined with the binary OR operator (|).

void TIBCO.EMS.ADMIN.TraceInfo.ClearAddTraceItems | ( |  | ) |
| inline

Clear the set of add trace items so that it is empty.

void TIBCO.EMS.ADMIN.TraceInfo.ClearAllTraceItems | ( |  | ) |
| inline

Clear the set of absolute, add, and remove trace items so the object is essentially empty.

void TIBCO.EMS.ADMIN.TraceInfo.ClearRemoveTraceItems | ( |  | ) |
| inline

Clear the set of remove trace items so that it is empty.

void TIBCO.EMS.ADMIN.TraceInfo.ClearSetTraceItems | ( |  | ) |
| inline

Clear the set of absolute trace items so that it is empty.

override bool TIBCO.EMS.ADMIN.TraceInfo.Equals | ( | System.Object | o | ) |
| inline

override int TIBCO.EMS.ADMIN.TraceInfo.GetHashCode | ( |  | ) |
| inline

bool TIBCO.EMS.ADMIN.TraceInfo.hasItems | ( | long | traceItems | ) |
| inline

Determine if a set of trace items will be logged based on the setting in this TraceInfo.

Parameters

  traceItems | The trace items to test for. Can be a single TRACE_* constant or a set of TRACE_* constants combined with the binary OR operator (|).

Returns
  true if the TraceInfo object has all of the items set, false otherwise.

void TIBCO.EMS.ADMIN.TraceInfo.RemoveTraceItems | ( | long | remove | ) |
| inline

Add the specified trace items to the current list of remove trace items. Any duplicate items will be ignored.

To reset the list of remove trace items, call ClearRemoveTraceItems() first.

Parameters

  remove | The set of trace items to append to the list of remove trace items. Can be a single TRACE_* constant or a set of TRACE_* constants combined with the binary OR operator (|).

override string TIBCO.EMS.ADMIN.TraceInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this TraceInfo.

Returns
  a string representation of this TraceInfo.

## Member Data Documentation

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_ACL = (0x1L << 6)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_ADMIN = (0x1L << 12)

readonly long TIBCO.EMS.ADMIN.TraceInfo.TRACE_ALL
| static

Initial value:
= (_TRACE_ALL &
~ TRACE_DEBUG &
~ TRACE_SSL_DEBUG &
~ TRACE_ROUTE_DEBUG &
~ TRACE_MEMORY_DEBUG &
~ _TRACE_NO_MASK)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_AUTH = (0x1L << 25)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_CONFIG = (0x1L << 13)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_CONFIG_DETAIL = (0x1L << 35)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_CONNECT = (0x1L << 15)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_CONNECT_ERROR = (0x1L << 16)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_DBSTORE = (0x1L << 31)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_DEBUG = (0x1L << 63)

readonly long TIBCO.EMS.ADMIN.TraceInfo.TRACE_DEFAULT = (TRACE_INFO + TRACE_WARN + TRACE_ACL + TRACE_LIMITS + TRACE_CONNECT_ERROR + TRACE_ROUTE + TRACE_ADMIN + TRACE_CONFIG + TRACE_RV_ADV + TRACE_MSG)
| static

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_DEST = (0x1L << 18)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_FLOW = (0x1L << 27)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_INFO = (0x1L << 4)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_JAAS = (0x1L << 29)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_JVM = (0x1L << 28)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_JVMERR = (0x1L << 32)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_LDAP_DEBUG = (0x1L << 24)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_LIMITS = (0x1L << 7)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_LOADER = (0x1L << 34)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_MEMORY = (0x1L << 21)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_MEMORY_DEBUG = (0x1L << 22)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_MSG = (0x1L << 26)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_MSTORE = (0x1L << 33)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_MULTICAST = (0x1L << 30)

Deprecated:
  As of release 8.3

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_PRODCONS = (0x1L << 17)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_ROUTE = (0x1L << 10)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_ROUTE_DEBUG = (0x1L << 11)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_RV_ADV = (0x1L << 14)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_SS = (0x1L << 20)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_SSL = (0x1L << 8)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_SSL_DEBUG = (0x1L << 9)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_TX = (0x1L << 19)

const long TIBCO.EMS.ADMIN.TraceInfo.TRACE_WARN = (0x1L << 5)

## Property Documentation

long TIBCO.EMS.ADMIN.TraceInfo.AllTraceItems
| get

Get the calculated set of trace items.

This is calculated by taking the absolute set of trace items, adding the set of add trace items, and then removing the set of remove trace items.

Returns
  the calculated set of trace items.

long TIBCO.EMS.ADMIN.TraceInfo.TraceAddItems
| get

Get the set of add trace items.

To determine if particular TRACE_* item is in the set use bitwise AND.

Returns
  the set of add trace items as a long.

long TIBCO.EMS.ADMIN.TraceInfo.TraceItems
| set

Set the absolute trace items for this TraceInfo.

This method overwrites any absolute trace items that were previously set in this object. The current add and remove trace items will not be effected by this call. To directly specify exactly what will be traced, first call ClearAllTraceItems() and then set the desired items with this method. The set of absolute trace items for this TraceInfo. Can be a single TRACE_* constant or a set of TRACE_* constants combined with the binary OR operator (|).

long TIBCO.EMS.ADMIN.TraceInfo.TraceRemoveItems
| get

Get the set of remove trace items.

To determine if particular TRACE_* item is in the set use bitwise AND.

Returns
  the set of remove trace items as a long.

long TIBCO.EMS.ADMIN.TraceInfo.TraceSetItems
| get

Get the set of absolute trace items.

To determine if particular TRACE_* item is in the set use bitwise AND.

Returns
  the set of absolute trace items as a long.